SDL_Environment(3type)

NAME
SDL_Environment - A thread-safe set of environment variables

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Environment SDL_Environment;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetEnvironment(3), •(3), SDL_CreateEnvironment(3), •(3), SDL_GetEnvironmentVariable(3), •(3), SDL_GetEnvironmentVariables(3), •(3), SDL_SetEnvironmentVariable(3), •(3), SDL_UnsetEnvironmentVariable(3), •(3), SDL_DestroyEnvironment(3)